Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface InternationalString

public interface InternationalString

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`void` | `addLocalizedString(LocalizedString localizedString)`
`void` | `addLocalizedStrings(Collection localizedStrings)`
`LocalizedString` | `getLocalizedString(Locale locale, String charsetName)`
`Collection` | `getLocalizedStrings()`
`String` | `getValue()`
`String` | `getValue(Locale locale)`
`void` | `removeLocalizedString(LocalizedString localizedString)`
`void` | `removeLocalizedStrings(Collection localizedStrings)`
`void` | `setValue(Locale locale, String value)`
`void` | `setValue(String value)`

Method Detail

### addLocalizedString

    public void addLocalizedString(LocalizedString localizedString)
                            throws JAXRException

  Throws:
    `JAXRException`

### addLocalizedStrings

    public void addLocalizedStrings(Collection localizedStrings)
                             throws JAXRException

  Throws:
    `JAXRException`

### getLocalizedString

    public LocalizedString getLocalizedString(Locale locale,
                                              String charsetName)
                                       throws JAXRException

  Throws:
    `JAXRException`

### getLocalizedStrings

    public Collection getLocalizedStrings()
                                   throws JAXRException

  Throws:
    `JAXRException`

### getValue

    public String getValue()
                    throws JAXRException

  Throws:
    `JAXRException`

### getValue

    public String getValue(Locale locale)
                    throws JAXRException

  Throws:
    `JAXRException`

### removeLocalizedString

    public void removeLocalizedString(LocalizedString localizedString)
                               throws JAXRException

  Throws:
    `JAXRException`

### removeLocalizedStrings

    public void removeLocalizedStrings(Collection localizedStrings)
                                throws JAXRException

  Throws:
    `JAXRException`

### setValue

    public void setValue(String value)
                  throws JAXRException

  Throws:
    `JAXRException`

### setValue

    public void setValue(Locale locale,
                         String value)
                  throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.